Subject: Re: [patch net-next RFC 00/12] devlink: introduce port flavours and common phys_port_name generation

From: Jiri Pirko <[email-masked]>
Date: Wed, 28 Mar 2018 08:17:54 +0200

Wed, Mar 28, 2018 at 07:02:34AM CEST, [email-masked] wrote:
>On Thu, 22 Mar 2018 11:55:10 +0100
>Jiri Pirko <[email-masked]> wrote:
>
>> From: Jiri Pirko <[email-masked]>
>> 
>> This patchset resolves 2 issues we have right now:
>> 1) There are many netdevices / ports in the system, for port, pf, vf
>>    represenatation but the user has no way to see which is which
>
>There already are a lot of attributes, adding more doesn't necessarily
>help make things clearer.

How elso you distinguish pfrep/vfrep/cpuport/etc?

>
>> 2) The ndo_get_phys_port_name is implemented in each driver separatelly,
>>    which may lead to inconsistent names between drivers.
>
>Why not address that problem. My concern is that your new attribute
>will have the same problem.

I try to address that...

>
>Also adding pf and vfNNN on the name will make the already tightly squeezed
>interface name length a real problem. I have had arguments with people
>trying use VLAN 4000 and standard naming policy.  Which means you really
>can't go that long.

Understood. However, I just do what is already done in nfp for example.